####### tdevelop will overwrite this part!!! (begin)##########
bin_PROGRAMS = khangman
khangman_SOURCES = khangman.cpp main.cpp khangmanview.cpp prefs.kcfgc khnewstuff.cpp normal.ui advanced.ui timerdlg.ui timer.cpp  fontchecker.cpp 
khangman_LDADD   =  $(LIB_TDEUI) $(LIB_TDEIO) $(LIB_TDENEWSTUFF) $(top_builddir)/libtdeedu/tdeeducore/libtdeeducore.la

SUBDIRS = data pics sounds icons fonts

EXTRA_DIST = main.cpp timer.cpp khangman.cpp khangman.h khangman.desktop khangmanview.h version.h khnewstuff.h timer.h

xdg_apps_DATA = khangman.desktop
kde_kcfg_DATA = khangman.kcfg
kde_conf_DATA = khangmanrc

# set the include path for X, qt and KDE
INCLUDES= -I$(top_srcdir)/libtdeedu/tdeeducore $(all_includes)

METASOURCES = AUTO

# the library search path.
khangman_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor

rc_DATA = khangmanui.rc
rcdir = $(kde_datadir)/khangman

messages:  rc.cpp
	$(EXTRACTRC) *.ui *.rc > rc.cpp
	LIST=`find . -name \*.h -o -name \*.cpp`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) data.i18n $$LIST -o $(podir)/khangman.pot; \
	fi

